getting errors while updating manjaro bspwm

Hi,

I tried updating my system by sudo pacman -Syyuu && yay -Syyuu
and I am getting the below error -

error: failed to commit transaction (conflicting files)
limepanel: /usr/bin/MonocleSwitcher exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/avol exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/dbright exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/dmouse exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/dvol exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/networkmenu.sh exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/networkmenuplacer.sh exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/terminal exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/toggleconky.sh exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/volume exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/volume_status.sh exists in filesystem (owned by lemonpanel)
limepanel: /usr/bin/wallpaper exists in filesystem (owned by lemonpanel)
Errors occurred, no packages were upgraded.
1 Like

You could try:

sudo pacman -Scc
sudo pacman-mirrors -f && sudo pacman -Syyu

Then reboot.

If it does not help, deinstall limepanel, fully update the system and reinstall limepanel.

If this still does not help have a look here:

1 Like

Running sudo pacman -Rdd lemonpanel or sudo rm /usr/bin/{MonocleSwitcher,avol,dbright,dmouse,dvol,networkmenu.sh,networkmenuplacer.sh,terminal,toggleconky.sh,volume_status.sh,volume,wallpaper}

And then you can update.

Some files were moved between pkgs so the normal '--overwrite' solution doesn't fit.

1 Like

Hi! Same problem here. @murtaza52, any of this solutions works for you?

I successfully used the below command to solve it for myself:

sudo rm /usr/bin/{MonocleSwitcher,avol,dbright,dmouse,dvol,networkmenu.sh,networkmenuplacer.sh,terminal,toggleconky.sh,volume_status.sh,volume,wallpaper}

1 Like

Works perfectly! Thanks!

1 Like

Another alternative is

sudo pacman -Rdd lemonpanel && sudo pacman -Syu

Either solution is equally good.

Forum kindly sponsored by